const vueFiles = require.context('./', true, /.vue$/)

export default {
  install(app) {
    // 批量注册组件
    vueFiles.keys().forEach(key => { // vueFiles.keys()  文件名称数组
      // 导入组件
      const component = vueFiles(key).default
      // 按组件的name注册组件
      app.component(component.name, component)
    })
  }
}
